<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Model\IterableApi;
use App\Helper\ResponseHelper;
use Log;

class SurveyController extends Controller
{
    public $iterableObj;
    public $helper;

    public function __construct()
    {
        $this->iterableObj = new IterableApi();
        $this->helper = new ResponseHelper();
    }

    public function updateCustomer(Request $request)
    {
        $email = $request->input('email');
        $properties = $request->input('properties');

        if (empty($email)) {
            $returnData = [
                'error' => 'Empty Email'
            ];
            return $this->helper->returnData(600, "error", $returnData);
        }

        $userIterableUpdateRequest = array(
            "email" => $email,
            "dataFields" => array(
                "customProperties" => $customProperties
            )
        );

        $userIterableUpdateResponse = $this->iterableObj->updateUserDataFields(json_encode($userIterableUpdateRequest));

        if (strtolower(trim($userIterableUpdateResponse->code)) == 'success') {
            Log::info("Successfully updated the customer properties - ".$email);
        } else {
            Log::info("Failed to update the customer properties - ".$email);
            Log::info(json_encode($userIterableUpdateResponse));
        }

    }
}
